.feature-cards {
    display: flex;
    flex-wrap: wrap;
    gap: 48px 20px;
    justify-content: center;
    margin-top: 50px;
    position: relative;
    text-align: left;
}

.card-box {
    width: 100%;
    max-width: 448.9px;
    position: relative;
    height: 731px;
    z-index: 3;
}

.card-title {
    align-self: stretch;
    position: relative;
    font-size: 48px;
    line-height: 36px;
    text-transform: uppercase;
    font-weight: 600;
    font-family: 'At Aero TRIAL';
    color: #fff;
    text-align: left;
    display: inline-block;
}

.card-bg {
    position: absolute;
    top: 389px;
    left: 0;
    width: 100%;
    height: 342px;
    border-radius: 0px 0px 4px 4px;
    background-color: #1a1a1a;
    z-index: 0;
}

.card-content {
    position: absolute;
    top: 469px;
    left: 0;
    right: 0;
    padding: 0 32px;
    width: 100%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    gap: 16px;
    z-index: 1;
}

.card-description {
    font-size: 18px;
    line-height: 24px;
    font-weight: regular;
    font-family: 'At Aero TRIAL';
    color: #f0f0f0;
    text-align: left;
    display: inline-block;
    word-wrap: break-word;
    overflow-wrap: break-word;
}


.card-image {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 385px;
    object-fit: cover;
    object-position: center;
    image-rendering: crisp-edges;
    image-rendering: -webkit-optimize-contrast;
    display: block;
}

.card-highlight {
    position: absolute;
    top: 469px;
    left: 0px;
    background-color: #e6421d;
    width: 8px;
    height: 36px;
}

@media (max-width: 768px) {
    .feature-cards {
        flex-wrap: nowrap;
        display: flex;
        overflow-x: auto;
        scroll-snap-type: x mandatory;
        scroll-behavior: smooth;
        gap: 20px;
        justify-content: start;
    }

    .feature-cards::-webkit-scrollbar {
        display: none;
    }

    .card-title {
        font-size: 30px;
        line-height: 30px;
    }

    .card-description {
        font-size: 18px;
        line-height: 20px;
    }

    .card-box {
        flex: 0 0 80%;
        scroll-snap-align: center;
        position: relative;
        max-width: 100%;
    }

    .card-image,
    .card-bg,
    .card-content .card-highlight {
        width: 100%;
    }

    .card-content {
        padding: 0 16px;
    }

    .feature-dots {
        display: flex;
        justify-content: center;
        gap: 20px;
        margin-top: 16px;
    }

    .feature-dot {
        width: 8px;
        height: 8px;
        border-radius: 50%;
        background-color: #999;
        transition: background-color 0.3s;
    }

    .feature-dot.active {
        background-color: #e6421d;
    }
}